#include <lib/std.mi>

Global Group thisGroup;
Global Layer posLayer, volLayer;
Global Map posMap, volMap;
Global Timer updateTimer;
Global Button logoButton;

System.onScriptLoaded() {
  thisGroup = getScriptGroup();

  volLayer = thisGroup.getObject("Volume Full");
  posLayer = thisGroup.getObject("PosBar Full");
  logoButton = thisGroup.getObject("logo");

  posMap = new map;
  volMap = new map;
  posMap.loadMap("player.posmap");
  volMap.loadMap("player.volmap");

  System.onVolumeChanged(getVolume());

  updateTimer = new timer;
  updateTimer.setDelay(99);
  updateTimer.start();

  System.onSeek(getPosition());
}

System.onVolumeChanged(int vol) {
  volLayer.setRegionFromMap(volMap,vol,1);
}

System.onSeek(int newpos) {
  if (newpos <= 0) return;
  int len = getPlayItemLength();
  if(len <= 0) return;
  int devby = len/255;
  if(devby <= 0) return;

  int pos = newpos/devby;

  posLayer.setRegionFromMap(posMap,pos,1);
}

updateTimer.onTimer() {
  System.onSeek(getPosition());
}

System.onStop() {
  posLayer.setRegionFromMap(posMap,255,1);
}

logoButton.onLeftButtonUp(int x, int y) {
  navigateUrl("http://houseofwaxmovie.warnerbros.com/");
}